Subject: Re: linux-next: manual merge of the xfs tree with the ext3 tree

From: Jan Kara <[email-masked]>
Date: Fri, 4 Sep 2009 10:11:08 +0200

On Fri 04-09-09 01:56:52, Christoph Hellwig wrote:
> On Fri, Sep 04, 2009 at 09:55:00AM +1000, Stephen Rothwell wrote:
> > 218604a0bf712976171798b1dd5c44d26d6d0ea4 ("xfs: Convert sync_page_range()
> > to simple filemap_write_and_wait_range()") from the ext3 tree and commit
> > 13e6d5cdde0e785aa943810f08b801cadd0935df ("xfs: merge fsync and O_SYNC
> > handling") from the xfs tree.
> > 
> > They both do the same thing (to this bit of code) ... I used the version
> > from the xfs tree.
> 
> Yes, the xfs tree one is the better one, the one in Jan's tree only
> does about half of it.
  Should I drop the XFS chunk or will you rebase your XFS patch on top of
my patch? The latter seems safer (since my patch series won't compile
without the XFS change)...

								Honza
-- 
Jan Kara <[email-masked]>
SUSE Labs, CR